Create Loan
Create a loan on the Lendermarket side.
curl -X POST "https://api.lendermarket.com/claims/v1/lender/createLoan" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"lenderLoanId": "ABC-12345",
"scheduleType": "FULL-BULLET",
"loanAmount": "1000",
"currency": "EUR",
"interestRate": "14",
"country": "EST",
"lenderIssueDate": "2026-01-26",
"clientType": "BUSINESS_WITH_COLLATERAL",
"businessClient": {
"companyName": "XYZ-123 Limited",
"companyRegistryCode": "98765-ZYX",
"representativeName": "John Doe",
"representativePersonalCode": "654321-FED",
"collateralValue": "1000",
"currency": "EUR"
},
"schedule": [
{
"date": "2026-01-26",
"principalAmount": "1000",
"interestAmount": "141.16"
}
]
}'
import requests
import json
url = "https://api.lendermarket.com/claims/v1/lender/createLoan"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"lenderLoanId": "ABC-12345",
"scheduleType": "FULL-BULLET",
"loanAmount": "1000",
"currency": "EUR",
"interestRate": "14",
"country": "EST",
"lenderIssueDate": "2026-01-26",
"clientType": "BUSINESS_WITH_COLLATERAL",
"businessClient": {
"companyName": "XYZ-123 Limited",
"companyRegistryCode": "98765-ZYX",
"representativeName": "John Doe",
"representativePersonalCode": "654321-FED",
"collateralValue": "1000",
"currency": "EUR"
},
"schedule": [
{
"date": "2026-01-26",
"principalAmount": "1000",
"interestAmount": "141.16"
}
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.lendermarket.com/claims/v1/lender/createLoan", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"lenderLoanId": "ABC-12345",
"scheduleType": "FULL-BULLET",
"loanAmount": "1000",
"currency": "EUR",
"interestRate": "14",
"country": "EST",
"lenderIssueDate": "2026-01-26",
"clientType": "BUSINESS_WITH_COLLATERAL",
"businessClient": {
"companyName": "XYZ-123 Limited",
"companyRegistryCode": "98765-ZYX",
"representativeName": "John Doe",
"representativePersonalCode": "654321-FED",
"collateralValue": "1000",
"currency": "EUR"
},
"schedule": [
{
"date": "2026-01-26",
"principalAmount": "1000",
"interestAmount": "141.16"
}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"lenderLoanId": "ABC-12345",
"scheduleType": "FULL-BULLET",
"loanAmount": "1000",
"currency": "EUR",
"interestRate": "14",
"country": "EST",
"lenderIssueDate": "2026-01-26",
"clientType": "BUSINESS_WITH_COLLATERAL",
"businessClient": {
"companyName": "XYZ-123 Limited",
"companyRegistryCode": "98765-ZYX",
"representativeName": "John Doe",
"representativePersonalCode": "654321-FED",
"collateralValue": "1000",
"currency": "EUR"
},
"schedule": [
{
"date": "2026-01-26",
"principalAmount": "1000",
"interestAmount": "141.16"
}
]
}`)
req, err := http.NewRequest("POST", "https://api.lendermarket.com/claims/v1/lender/createLoan", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.lendermarket.com/claims/v1/lender/createLoan')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"lenderLoanId": "ABC-12345",
"scheduleType": "FULL-BULLET",
"loanAmount": "1000",
"currency": "EUR",
"interestRate": "14",
"country": "EST",
"lenderIssueDate": "2026-01-26",
"clientType": "BUSINESS_WITH_COLLATERAL",
"businessClient": {
"companyName": "XYZ-123 Limited",
"companyRegistryCode": "98765-ZYX",
"representativeName": "John Doe",
"representativePersonalCode": "654321-FED",
"collateralValue": "1000",
"currency": "EUR"
},
"schedule": [
{
"date": "2026-01-26",
"principalAmount": "1000",
"interestAmount": "141.16"
}
]
}'
response = http.request(request)
puts response.body
{
"data": {
"uuid": "dcb87579-8d5e-412a-9f71-7c46c72ed589",
"loanPublicId": "2W69YH87AU6E",
"lenderLoanId": "ABC-12345",
"scheduleType": "FULL-BULLET",
"loanAmount": "1000.00",
"remainingPrincipalAmount": "1000.00",
"remainingSkinAmount": "50.00",
"investedAmount": "0.00",
"lenderSkinPercentage": "5.00",
"buyback": null,
"currency": "EUR",
"status": "ACTIVATING",
"totalTermInDays": 365,
"remainingTermInDays": 363,
"interestRate": "14.00",
"country": "EST",
"lenderIssueDate": "2026-01-26",
"finalPaymentDate": "2027-01-26",
"paymentSchedule": [
{
"dueDate": "2027-01-26",
"accruedInterestAmount": "0.00",
"totalPrincipalAmount": "1000.00",
"totalInterestAmount": "141.16",
"totalDelayedInterestAmount": "0.00",
"outstandingPrincipalAmount": "1000.00",
"outstandingInterestAmount": "141.16",
"outstandingDelayedInterestAmount": "0.00",
"paidPrincipalAmount": "0.00",
"paidInterestAmount": "0.00",
"paidDelayedInterestAmount": "0.00"
}
],
"createdAt": "2026-01-28 06:02:16",
"allowedInvestmentSources": [
"MANUAL",
"AUTOINVEST"
],
"limitCustomerTypes": null
}
}
{
"message": "The lender loan id field is required. (and 8 more errors)",
"errors": {
"lenderLoanId": [
"The lender loan id field is required."
],
"scheduleType": [
"The schedule type field is required."
],
"loanAmount": [
"The loan amount field is required."
],
"currency": [
"The currency field is required."
],
"interestRate": [
"The interest rate field is required."
],
"country": [
"The country field is required."
],
"lenderIssueDate": [
"The lender issue date field is required."
],
"schedule": [
"The schedule field is required."
],
"clientType": [
"The client type field is required."
]
}
}
/createLoan
Bearer authentication of the form Bearer <token>, where token is your auth token.
The media type of the request body
Unique Loan ID on the lender side
Schedule type of the loan
Total Loan Amount in specified currency
Current validation restricted to EUR
Annual interest rate percentage
Loan Originator country (3 digit ISO code)
Loan’s actual creation date on the lender side
Required when clientType is CONSUMER
Required when clientType is BUSINESS_WITH_COLLATERAL, BUSINESS_WITHOUT_COLLATERAL
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Bearer authentication of the form Bearer <token>, where token is your auth token.
Body
Unique Loan ID on the lender side
Total Loan Amount in specified currency
Annual interest rate percentage
Loan Originator country (3 digit ISO code)
Loan’s actual creation date on the lender side
Installment Date
Principal Amount of the Loan
Interest Amount of the Loan
CONSUMERBUSINESS_WITH_COLLATERALBUSINESS_WITHOUT_COLLATERALRequired when clientType is CONSUMER
Name of the borrower
Last Name of the borrower
ID number of the borrower
Required when clientType is BUSINESS_WITH_COLLATERAL, BUSINESS_WITHOUT_COLLATERAL
Name of the borrower company
Company Registration Code
Company Representative Full Name
ID number of Company Representative
Collateral value for the loan - required for type BUSINESS_WITH_COLLATERAL
Current validation restricted to EUR - required for type BUSINESS_WITH_COLLATERAL
EURResponses
Unique UUID of the loan in the LM system
Unique ID of the loan in the LM system which is more human readable ID of the extension
Unique Loan ID on the lender side
Schedule type of the loan
ANNUITYBULLETFULL-BULLETREGULARTotal Loan Amount in specified currency
Remaining principal amount including the Loan Originator´s skin
Remaining Loan Originator´s skin amount
Remaining investor invested amount
Percentage of Loan Originator´s skin in the game. This percentage of loan amount will not be available for investment.
Current validation restricted to EUR
EURPENDINGACTIVATINGACTIVEFINISHEDLoan’s total term in days
Loan’s total remaining term in days
Annual interest rate percentage
Loan Originator country (3 digit ISO code)
Loan’s actual creation date on the lender side
Date of the loan’s final installment
Creation date of the loan in the LM system
['VIP'] or ['REGULAR'] or ['VIP', 'REGULAR']
Extended date of the installment
Installment interest accrued as of today
Total Principal Amount of the installment
Total Interest Amount of the installment
Total Delayed Interest Amount of the installment
Outstanding (not paid yet) Principal Amount of the installment
Outstanding (not paid yet) Interest Amount of the installment
Outstanding (not paid yet) Delayed Interest Amount of the installment
Paid Principal Amount of the installment
Paid Interest Amount of the installment
Paid Delayed Interest Amount of the installment
['MANUAL'] or ['AUTOINVEST'] or ['MANUAL', 'AUTOINVEST']
General error message
List of objects with detailed errors
Last updated 2 weeks ago
Built with Documentation.AI